import React from "react";
import "@testing-library/jest-dom";
import "@testing-library/jest-dom/jest-globals";
import { describe, it, expect } from "@jest/globals";
import { render, screen } from "@testing-library/react";
import { Menu } from "../menu";

describe("<Menu />", () => {
  it("renders ok", () => {
    const cb = () => {};
    render(
      <Menu
        items={[{ streamKey: "streamer", viewCount: 10 }]}
        selectedItem={null}
        selectCallback={cb}
      />,
    );
  });

  it("has item in list", () => {
    const cb = () => {};
    render(
      <Menu
        items={[{ streamKey: "streamer", viewCount: 10 }]}
        selectedItem={null}
        selectCallback={cb}
      />,
    );
    const streamerElement = screen.getByText("streamer");
    expect(streamerElement).toBeInTheDocument();
  });

  it("updates selected when clicked", () => {
    let selected: string | null = null;
    const cb = (name: string | null) => {
      selected = name;
    };
    render(
      <Menu
        items={[{ streamKey: "streamer", viewCount: 10 }]}
        selectedItem={null}
        selectCallback={cb}
      />,
    );
    const streamerElement = screen.getByText("streamer");
    expect(streamerElement).toBeInTheDocument();
    expect(selected).toBeNull();
    streamerElement.click();
    expect(selected).toStrictEqual("streamer");
  });
});
